Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.tools.adaptor.http
Class HttpCommandProcessorAdaptor

    java.lang.Object
      mx4j.tools.adaptor.http.HttpCommandProcessorAdaptor

All Implemented Interfaces:
  HttpCommandProcessor

Direct Known Subclasses:
  ConstructorsCommandProcessor, CreateMBeanCommandProcessor, DeleteMBeanCommandProcessor, EmptyCommandProcessor, GetAttributeCommandProcessor, InvokeOperationCommandProcessor, MBeanCommandProcessor, RelationCommandProcessor, ServerByDomainCommandProcessor, ServerCommandProcessor, SetAttributeCommandProcessor, SetAttributesCommandProcessor

public abstract class HttpCommandProcessorAdaptor
extends java.lang.Object
implements HttpCommandProcessor

HttpCommandProcessor sets the structure of a command processor

Version:
  $Revision: 1.3 $

Field Summary
`protected javax.xml.parsers.DocumentBuilder` | `builder`
`protected javax.management.MBeanServer` | `server`

Constructor Summary
`HttpCommandProcessorAdaptor()`

Method Summary
`abstract org.w3c.dom.Document` | `executeRequest(HttpInputStream in)` Executes an HTTP request.
`void` | `setDocumentBuilder(javax.xml.parsers.DocumentBuilder builder)` Sets the Document Builder factory
`void` | `setMBeanServer(javax.management.MBeanServer server)` Sets the target MBeanServer

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### server

    protected javax.management.MBeanServer server

### builder

    protected javax.xml.parsers.DocumentBuilder builder

Constructor Detail

### HttpCommandProcessorAdaptor

    public HttpCommandProcessorAdaptor()

Method Detail

### executeRequest

    public abstract org.w3c.dom.Document executeRequest(HttpInputStream in)
                                                 throws java.io.IOException,
                                                        javax.management.JMException

  Description copied from interface: `HttpCommandProcessor`
  Executes an HTTP request. It assumes the request is well formed

  Specified by:
    `executeRequest` in interface `HttpCommandProcessor`
  Returns:
    An XML Document
  Throws:
    `java.io.IOException`
    `javax.management.JMException`

### setMBeanServer

    public void setMBeanServer(javax.management.MBeanServer server)

  Sets the target MBeanServer

  Specified by:
    `setMBeanServer` in interface `HttpCommandProcessor`

### setDocumentBuilder

    public void setDocumentBuilder(javax.xml.parsers.DocumentBuilder builder)

  Sets the Document Builder factory

  Specified by:
    `setDocumentBuilder` in interface `HttpCommandProcessor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.